#!/bin/bash

GOTIFY_FILE=$(<~/.gotify)
GOTIFY_TOKEN=${GOTIFY_FILE##*( )}
HOST="$(hostname)"
sender="SSH-Notification <notifications@sp-codes.de>"
recipient="codes@samuel-philipp.de"
subject="SSH Login: $PAM_USER from $PAM_RHOST on $HOST"
message="User $PAM_USER logged in on $HOST from $PAM_RHOST at $(date)."

if [ "$PAM_TYPE" == "open_session" ]; then
  if [ "$PAM_USER" != "root" ]; then
    echo "$message" | mailx -a "From: $sender" -s "$subject" "$recipient"
  fi
  if [ -n "$GOTIFY_TOKEN" ]; then
    curl -F "title=$subject" -F "message=$message" -F "priority=5" "https://push.sp-codes.de/message?token=$GOTIFY_TOKEN"
  fi
fi
